Method: legacySdk.downloadWebhookBlob

Full name: projects.locations.instances.legacySdk.downloadWebhookBlob

Downloads a webhook blob.

HTTP request

GET https://{endpoint}/v1alpha/{instance}/legacySdk:legacyDownloadBlob

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
instance

string

Required. The instance to download the webhook blob for. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
environmentName

string

Required. The environment name.

destinationPath

string

Required. The destination path.

Request body

The request body must be empty.

Response body

Response message for DownloadWebhookBlob.

If successful, the response body contains data with the following structure:

JSON representation
{
  "media": {
    object (Media)
  }
}
Fields
media

object (Media)

Information representing the exported data.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the instance resource:

  • chronicle.legacySdk.get

For more information, see the IAM documentation.